Grasshopper

algorithmic modeling for Rhino

Anders Holden Deleuran
  • Male
  • Copenhagen
  • Denmark
Share on Facebook
Share

Anders Holden Deleuran's Friends

  • Mihai C
  • Vasily Sitnikov
  • Chapuline
  • Gregory Quinn
  • Sebastian Gatz
  • Daniel Kolling Andersen
  • Phil Ayres
  • SA
  • M.K.T. Heinrich
  • Fakinos Konstantinos
  • Marc
  • 筑梦NARUTO
  • ng5 Alex
  • CITA
  • Starsk Lara

Anders Holden Deleuran's Groups

Anders Holden Deleuran's Discussions

Polyline Curves with CurveSelf Intersection not acting as expected
4 Replies

Hi All,I'm trying to wrap my head around how the Curve-Self intersection component (ie. Rhino.Geometry.Intersect.Intersection.CurveSelf class) deals with Polyline Curves. See images below and…Continue

Started this discussion. Last reply by Thibault Schwartz Jan 23.

C# Component: Keyboard Shortcuts, More Than One Editor Instance, Missing a Console
2 Replies

I've been getting up to speed with the C# scripting component and have a few questions/suggestions (coming from a GHPython component experience): 1) Does the C# component have any keyboard…Continue

Started this discussion. Last reply by Anders Holden Deleuran May 21, 2015.

GHPython Some Bottlenecks (Bugs?)
38 Replies

Hi Giulio and Steve, I've recently noticed a couple of bottleneck with the GHPython component which can quite severely impede on performance. Thought I would bring them up here so as to hopefully…Continue

Started this discussion. Last reply by Giulio Piacentino Jul 14.

Geometry Parameter: Vector being cast to Point

When you pass a Vector3D through a Geometry parameter it is cast to Point3D. Seems like a bug to me. See attached file. Best, AndersContinue

Started Jan 20, 2015

 

Hello, Anders Holden Deleuran!

Latest Activity

Anders Holden Deleuran replied to Fabio's discussion Kangaroo - output delay
"It's because you are essentially resetting the whole solver system (the zombie solver that is) each time you change any of the inputs. So in your case, moving the anchor points means they are no longer coincident with the vertices on the…"
Wednesday
Anders Holden Deleuran liked Jeg's video
Tuesday
Anders Holden Deleuran replied to Fabio's discussion Kangaroo - output delay
"Use the Zombie solver (available in both Kangaroo 1 and the last two versions of Kangaroo 2). "
Tuesday
Anders Holden Deleuran replied to Kenneth cheung's discussion Develop gha plugin using python or GHpython
"It is actually possible to compile IronPython code to a .dll which you can then reference/import in your scripting/userobject components (that is, as opposed to .py files). That said, this is probably only worth the effort if you're…"
Monday
Giulio Piacentino replied to Anders Holden Deleuran's discussion GHPython Some Bottlenecks (Bugs?)
"Good news! The library is now rewritten in Rhino WIP. http://discourse.mcneel.com/t/new-version-of-ghpythonlib-components/34619"
Jul 14
Victor Golovin liked Anders Holden Deleuran's video
Jul 12
Anders Holden Deleuran replied to Armin Seltz's discussion Set, Store and refresh an input? Remote Data Dam?
"We covered that right above here, see Andrew's solution ;)"
Jul 7
Anders Holden Deleuran replied to SudhirBommu's discussion how to export the grasshopper model into full rhino model ....
"Solution -> Bake Selected"
Jun 21
Anders Holden Deleuran replied to Lincoln Frost's discussion Mesh relaxation in Kangaroo2 in the group Kangaroo
"Could be a version issue, I'm running:Rhino Version 5 SR13 64-bitGrasshopper 0.9.0076 With these .NET frameworks:On this system:There are a few threads with similar install issues on the board (especially related to the Grab component). Maybe…"
Jun 17
Anders Holden Deleuran replied to Lincoln Frost's discussion Mesh relaxation in Kangaroo2 in the group Kangaroo
"Ah yes, those are part of the mesh utilities from Kangaroo1 (that haven't yet been moved of to K2). So just download and install Kangaroo Physics 0.099 and you should be good to go."
Jun 17
Anders Holden Deleuran replied to Matt Gaydon's discussion WISH: File Path Component to Folder Level
"You can use the Rhino Python sticky dictionary to set/get global variables across the Rhino session (i.e. from the Rhino Python Editor and all Grasshopper definition and GHPython instances, how's that for global!). Note that these truly do…"
Jun 17
Anders Holden Deleuran replied to Matt Gaydon's discussion WISH: File Path Component to Folder Level
"Afraid not, but you'll find the "scripting button issue" as a general theme here on the board. Also, this does indeed sound like something Andrew could whip out in a heartbeat."
Jun 17
Anders Holden Deleuran replied to Lincoln Frost's discussion Mesh relaxation in Kangaroo2 in the group Kangaroo
"Ah yes, it looks like Daniel didn't include the examples folder in version 2.1.2 and 2.1.4. if you download 2.02 they're still in there. Additionally check out this thread and make sure to search the forum (and the…"
Jun 17
Anders Holden Deleuran replied to Matt Gaydon's discussion WISH: File Path Component to Folder Level
"Yup, its' problematic. I always end up using Boolean toggles instead for this reason (that are sent to the Remote Control Panel, which means they act like a radio button here i.e. only one click needed)"
Jun 16
Anders Holden Deleuran replied to Matt Gaydon's discussion WISH: File Path Component to Folder Level
"Oh yeah, for browsing for a file see attached."
Jun 16
Anders Holden Deleuran replied to Matt Gaydon's discussion WISH: File Path Component to Folder Level
"Ran out of nested replies it seems. In the attached the version I'm calling the .NET function directly and checking whether it returns anything before assigning to the persistent variable (which should solve the issue you had when cancelling…"
Jun 16

Profile Information

Company, School, or Organization
PhD Fellow, CITA, Royal Danish Academy of Fine Arts, School of Architecture
Web or Blog
http://www.andersholdendeleuran.com

Anders Holden Deleuran's Photos

Loading…
  • Add Photos
  • View All

Anders Holden Deleuran's Videos

  • Add Videos
  • View All

Anders Holden Deleuran's Blog

Mesh Analysis GHPython Components

Hi All,



I'm currently in the process of wrapping my head around GitHub. Seeing as how I'm now back in academia I thought this might be a good chance to share some code, for once :)



CITA recently helped conduct the Amphibious Hamburg workshop at the AAC in Hamburg co-tutored by…

Continue

Posted on July 17, 2014 at 6:30am — 7 Comments

Comment Wall (13 comments)

You need to be a member of Grasshopper to add comments!

Join Grasshopper

At 7:31am on November 19, 2014, hamia Aghaiemeybodi said…

Many thanks Anders,

I used xlrd and xlwt it works but its a bit tricky. I'll try the .NET methods.

cheers

At 2:55pm on November 17, 2014, hamia Aghaiemeybodi said…

Hi Anders,

Do you know how can I open and excel sheet in python grasshopper, add some line to the sheet, save and close it!

Thanks

At 2:20pm on October 17, 2014, hamia Aghaiemeybodi said…

Hi Anders, thanks for the reply. I checked that already it says if it is cylinder but I'm looking for a way to find out an easy way to pre-rationalize sub-surfaces which are not cylinder but close to cylinder so I can convert them to cylinder surface later! if it make any sense to you . . .

At 5:24pm on October 10, 2014, hamia Aghaiemeybodi said…

Hi Anders;

Do you any easy and basic way to check if a double surface cab get converted into cylinder surface? Basically for fabrication to check if I can reduce the cost by converting few double curved panel and get more or less the same result!

many thanks!

At 7:30am on January 29, 2014, hamia Aghaiemeybodi said…

Many thanks Anders;

I figured that out, now I'm looking for way to convert text to one single curve (to save time for laser cutting). At the moment i get the out line of text as curve which is great but still time consuming.

Regards,

H/

At 7:26am on January 28, 2014, hamia Aghaiemeybodi said…

here is the complete one:

if(!string.IsNullOrEmpty(face) && size > 0 && !string.IsNullOrEmpty(content) &&
pl.IsValid)
{

var te = RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);
Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;

if(txt != null)
{
var tt = txt.Geometry as Rhino.Geometry.TextEntity;
A = tt.Explode();
}

RhinoDoc.ActiveDoc.Objects.Delete(te, true);

At 7:14am on January 28, 2014, hamia Aghaiemeybodi said…

Hi Anders;

Do you know how can i convert  this c# code into python? The goal is to creat single curve text for laser cut:

RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;

thanks . . .

At 12:17am on March 7, 2013, hamia Aghaiemeybodi said…

Hi.

Of course. Thanks for reply. I'm using conditional check. It helps more and as you said easier to figure out where the problem is.

Thanks,

At 9:57am on March 4, 2013, hamia Aghaiemeybodi said…

Hej man,

I found it again, seems like to solve my problem i just need to post my question on your wall :D . .. 

cheers...

At 8:04am on March 4, 2013, hamia Aghaiemeybodi said…

Hi anders,

I'm trying to split curves in python and i get this eror:

Runtime error (TypeErrorException): Parameter must be a Guid or string representing a Guid

Im sure its Guid!!!

here is the simple script:

import rhinoscriptsyntax as rs
import Rhino as rc
curve01=rs.coercegeometry(x)
curve01.Domain = rc.Geometry.Interval(0,1)
print (rs.CurveDomain(curve01))
a=rs.SplitCurve(curve01,y)

ay idea!

Thanks.

 
 
 

Translate

Search Grasshopper

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2016   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service